<template>
  <div class="bg-background2 app__container">
    <SharedIndependentModuleRenderer>
      <game-entry v-if="themeColor.Text === 'bk8_green'" class="mGameEntry" />
      <new-black-theme-m-game-entry v-else class="mGameEntry" />
    </SharedIndependentModuleRenderer>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";
export default defineComponent({
  name: "Game",
  setup() {
    const onScroll = () => {
      const stickySearchGameFilter = document.querySelector(
        ".stickySearchGameFilter"
      );
      const scrollVal =
        document.documentElement.scrollTop || document.body.scrollTop;
      if (!stickySearchGameFilter) return;
      if (scrollVal >= 190) {
        const alreadyHasClass = stickySearchGameFilter.classList.contains(
          "fixedSearchGameFilter"
        );
        if (alreadyHasClass) return;
        stickySearchGameFilter.classList.add("fixedSearchGameFilter");
      } else if (scrollVal < 150) {
        stickySearchGameFilter.classList.remove("fixedSearchGameFilter");
      }
    };
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const { themeColor } = themePropertyHelper;

    onMounted(() => {
      nextTick(() => {
        document.addEventListener("scroll", onScroll);
      });
    });

    onUnmounted(() => {
      document.removeEventListener("scroll", onScroll);
    });

    return {
      themeProperties,
      themeColor,
    };
  },
});
</script>

<style lang="scss" scoped>
.mGameEntry {
  :deep(.stickySearchGameFilter) {
    &.fixedSearchGameFilter {
      position: fixed;
      z-index: 21;
      top: 52px;
      width: 100%;
      padding-bottom: 0.5rem;
    }
  }
  :deep(.el-loading-parent--relative) {
    .el-loading-mask {
      top: 20vh;
    }
  }
}
</style>
